﻿@model Avira.MarketingResearch.Model.ViewModels.RegionUpdateDbViewModel
@{
    ViewBag.Title = "Edit Region";
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">
    <h4>
        Edit Region
    </h4> 
    @if (ViewBag.Message != null)
    {
        @*<div class="text-center">
                @ViewBag.Message
            </div>*@
        <div class="alert alert-success alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
    }
    <div class="section-container section-with-top-border">

        @using (Html.BeginForm("Edit", "Region", FormMethod.Post))
        {
            @Html.AntiForgeryToken()

        <div class="form-horizontal">


            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            @Html.HiddenFor(model => model.Id)

            <div class="form-group">
                @Html.LabelFor(model => model.RegionName, "Region Name", htmlAttributes: new { @class = "col-md-2" })
                <div class="col-md-5">
                    @Html.EditorFor(model => model.RegionName, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.RegionName, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.CountryIDList, "Country", htmlAttributes: new { @class = "col-md-2" })
                <div class="col-md-5">
                    @*@Html.DropDownListFor(model => model.CountryIDList, new SelectList((System.Collections.IEnumerable)ViewData["CountryList"], "Value", "Text"), "-----Please Select-----", new { @class = "form-control", multiple = "multiple", size = "10" })*@
                    @Html.ListBoxFor(model => model.CountryIDList, Model.Countries, new { @class = "form-control", size = 8 })
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-2"></div>
                <div class="col-md-offset-5 p-l-15">
                    <input type="submit" value="Save" class="btn btn-rounded btn-grey m-b-5 width-100" />
                    <a href="~/Region/Index" class="btn btn-rounded btn-inverse m-b-5 width-100">Back to List </a>
                </div>
            </div>
        </div>

        }
    </div>
    <div id="footer" class="footer" style="position:fixed; bottom:0; left:15%;">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Avira Admin</b> All Right Reserved
    </div>
</div>

